<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>在线支付接口</title>

<link href="css/index.css" rel="stylesheet" type="text/css">
</head>

<?php

/*
 * @Description 易宝支付B2C在线支付接口范例 
 * @V3.0
 * @Author rui.xin
 */
 
include 'yeepayCommon.php';	
include "../../include/conn.php";
#	只有支付成功时易宝支付才会通知商户.
##支付成功回调有两次，都会通知到在线支付请求参数中的p8_Url上：浏览器重定向;服务器点对点通讯.

#	解析返回参数.
$return = getCallBackValue($r0_Cmd,$r1_Code,$r2_TrxId,$r3_Amt,$r4_Cur,$r5_Pid,$r6_Order,$r7_Uid,$r8_MP,$r9_BType,$hmac);

#	判断返回签名是否正确（True/False）
$bRet = CheckHmac($r0_Cmd,$r1_Code,$r2_TrxId,$r3_Amt,$r4_Cur,$r5_Pid,$r6_Order,$r7_Uid,$r8_MP,$r9_BType,$hmac);
#	以上代码和变量不需要修改.
	 	
#	校验码正确.
if($bRet){
	if($r1_Code=="1"){
	#	需要比较返回的金额与商家数据库中订单的金额是否相等，只有相等的情况下才认为是交易成功.
	#	并且需要对返回的处理进行事务控制，进行记录的排它性处理，在接收到支付结果通知后，判断是否进行过业务逻辑处理，不要重复进行业务逻辑处理，防止对同一条交易重复发货的情况发生.      	  	
		if($r9_BType=="1"){
			//检测订单，存在就加点
			$v_oid = $_GET['r6_Order'];
	               global $db;
	               //检测订单，存在就加点
	               $row=$db->getrow("select * from s_pay where S_Payid='".$v_oid."' and S_Vid=0");
	               if($row){
	               $S_Payrmb=$row["S_Payrmb"];
				$db->query("update s_users set S_RMB=S_RMB+$S_Payrmb where S_Name='".$row["S_Payuser"]."'");
				$db->query("update s_pay set S_Vid=1 where S_Payid='".$v_oid."'");
				//产生消息
				$s_xid=0;
				$s_cid=0;
				$s_namea=$payuser;
				$s_nameb="系统消息";
				$s_content="恭喜您，成功充值了 ".$S_Payrmb." 元，若出现问题请尽快联系客服。";
				$s_addtime=date('Y-m-d H:i:s');
				$sqlx="insert into s_xiaoxi (S_Xid,S_Nameb,S_Namea,S_Content,S_Addtime) values (".$s_xid.",'".$s_nameb."','".$s_namea."','".$s_content."','".$s_addtime."')";
				if($db->query($sqlx));
	                        echo "恭喜您，成功充值了 ".$S_Payrmb." 元，若出现问题请尽快联系客服。</br>";
	                        echo "请牢记您的定单号：".$v_oid;
	               }else{
	                        echo "验证失败,非法订单。";
	               }
		}elseif($r9_BType=="2"){
		echo "<div class='showmessage'>";
		echo "<div class='ye_r_t'><div class='ye_l_t'><div class='ye_r_b'><div class='ye_l_b'>";
		echo "<caption><h2>信息提示</h2></caption>";
		echo "<p>出错了，支付失败。</p>";
		echo "<p class='op'><a href='../space.php?ac=home'>返回首页</a></p>";
		echo "</div></div></div></div>";
		echo "</div>";
		}
	}
	
}else{
	echo "交易信息被篡改";
}
   
?>
<html>
<head>
<title>Return from YeePay Page</title>
</head>
<body>
</body>
</html>